Page MenuHomePhabricator

Improve UI for ‘All wikis’ & ‘Explore Topics’ dropdown
Closed, ResolvedPublic3 Story Points

Description

As discussed with @mforns in the meeting:
Improve hover background focus color for ‘All wikis’ & ‘Explore Topics’ dropdown (or any other dropdown) and add a horizontal line separator between each dropdown value for ‘All wikis’ & ‘Explore Topics’. Currently, the pinkish background focus color adds a distinguishing touch to two values. Best would be to add a slightly dark grey background focus color and add a horizontal line separator. We can also improve the way metric names are written after the question in Explore topic dropdown.
Adding UI mockups :

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2018, 11:33 AM
fdans moved this task from Incoming to Mentoring on the Analytics board.Jun 14 2018, 4:26 PM

Some quick opinions:

  • I like the secondary information being in boxes. In the case of metrics it echoes the Detail page metric boxes nicely.
  • I don't like the lines separating the options, it just makes the selectors visually busy.
  • I like the gray highlight instead of the pink but it sounds like the team likes the pink :) I had used that kind of as a joke initially, it's Pink Panther pink. So I don't feel strongly one way or another. If other people love the pink I guess we can keep it.
Nuria added a comment.Jun 14 2018, 4:33 PM

I don't like the lines separating the options, it just makes the selectors visually busy.

+1

Like pink too.

@Milimetric @Nuria : Thanks for your views on this.
Seems like team is quite happy with the pink background, so I'll keep it the same.

So, in this task will work on displaying the secondary information in the box ✌🏻

sahil505 triaged this task as Normal priority.Jun 14 2018, 5:46 PM
sahil505 added a project: Analytics-Kanban.
sahil505 set the point value for this task to 3.
sahil505 moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 440889 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Improved UI for ‘All wikis’ & ‘Explore Topics’ dropdowns

https://gerrit.wikimedia.org/r/440889

Change 440889 merged by Mforns:
[analytics/wikistats2@master] Improved UI for ‘All wikis’ & ‘Explore Topics’ dropdowns

https://gerrit.wikimedia.org/r/440889

Vvjjkkii renamed this task from Improve UI for ‘All wikis’ & ‘Explore Topics’ dropdown to l7aaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed sahil505 as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Community_Tech_bot renamed this task from l7aaaaaaaa to Improve UI for ‘All wikis’ & ‘Explore Topics’ dropdown.Jul 1 2018, 6:24 AM
Community_Tech_bot assigned this task to sahil505.
Community_Tech_bot set the point value for this task to 3.
Community_Tech_bot updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.Jul 3 2018, 3:24 AM
Nuria closed this task as Resolved.Jul 11 2018, 10:02 PM